function C2p29_Quiz2_1

%%
% ********************************************************************
% Course Takehome Quiz
%               2.29: Numerical Fluid Mechanincs, Spring 2007
% Quiz #3, Problem #1
% 05/14/07
% ********************************************************************
% Reza Karimi:
%                            Graduate Student
%                    Mechanical Engineering Department
%                  Massachusetts Institute of Technology
% Email:  rkarimi@mit.edu
% Office: NE47-319, 500 Technology Square, Cambridge, MA 02139
% Phone: (617) 324-7605
% ********************************************************************

%%
close all, clear all
%clc
LS={'-','--',':','-.','none','-'};
LM={'+','o','*','.','s','x'};
CL={'b','r','g','m','k','y'};
i=1;

x_span=[0:.1:20];
dY_dx=@(x,Y) [Y(2); Y(3); -.5*Y(1)*Y(3)];

figure
ddf_Test=[.5 .4 .3];%[.332052 .332055 .332058 .3320573];%.3321*[.999:.001:1.001];%%.333*[.99:.01:1.01];%.33206*[.998:.02:1.002];
Y=zeros(1,3);
for ddf=ddf_Test;
    df_end_prev=Y(end,2);
    [X,Y]=SOLVE_PLOT;
end

df_end=Y(end,2);

ddf=ddf_Test(end)+(ddf_Test(end-1)-ddf_Test(end))*(1-df_end)/(df_end_prev-df_end);
[X,Y]=SOLVE_PLOT;

Fig_Set_Basic('$f\prime(x)$ for different values of $f\prime\prime(0)$','x','$f\prime(x)$')
subplot(2,1,1)
Fig_Set_Basic('f(x) for different values of  $f\prime\prime(0)$','x','$f(x)$')
legend_h=legend(...
    ['$f\prime\prime(0)$=' num2str(ddf_Test(1))],...
    ['$f\prime\prime(0)$=' num2str(ddf_Test(2))],...
    ['$f\prime\prime(0)$=' num2str(ddf_Test(3))],...
    ['$f\prime\prime(0)$=' num2str(ddf)],...
    'location','northwest');
set(legend_h,'Interpreter','latex','fontsize',12)


fprintf('\n');


%%%%%%%%%%%%%%%%%%%%%
    function [X,Y]=SOLVE_PLOT
        Y0=[0; 0; ddf];
        OPT=odeset('RelTol',1e-10,'AbsTol',1e-12);
        [X,Y]=ode45(dY_dx,x_span,Y0,OPT);
        fprintf('\n\t\tf"(0)=%7.7f -->> f''(x=%5.5f )=%8.8f',ddf,X(end),Y(end,2))
        subplot(2,1,1)
        plot(X,Y(:,1),'Marker',LM{i},'LineStyle',LS{i},'Color',CL{i}),hold on;
        subplot(2,1,2)
        plot(X,Y(:,2),'Marker',LM{i},'LineStyle',LS{i},'Color',CL{i}),hold on,i=i+1;
    end


%%%%%%%%%%%%%%%%%%%%%
    function Fig_Set_Basic(Title,XTITLE,YTITLE)
        xlabel(XTITLE,'Interpreter','latex','fontsize',20,'FontAngle','italic','FontWeight','bold','FontName','Times New Roman')
        ylabel(YTITLE,'Interpreter','latex','fontsize',20,'FontAngle','italic','FontWeight','bold','FontName','Times New Roman')
        title (Title,'Interpreter','latex','fontsize',16,'FontAngle','italic','FontWeight','bold','FontName','Times New Roman')
        set(gcf,'Position',[50 50 [25 25]*25],'color','w'),set(gca,'fontsize',12)
        box on, grid on,
    end
end