function [a,xvert,yvert,xcontrol,ycontrol,len,nx,ny] = setpanels
% read in geometry information and evaluate position of control point 
% and normal directions ( positive normal vector pointing outside of 
% fluid, i.e. into the body)

% fil = input('enter shape file name: ','s'); %for example: cylinder.dat
% fid = fopen(fil,'r');
% a =fscanf(fid,'%d',1);   %number of panels
% for k = 1:(a+1);         %x and y coordinates of the vertices
% xvert(k) =fscanf(fid,' %f',1);  
% yvert(k) = fscanf(fid,' %f',1);
% end;
% fclose(fid);
% 
DATA=load('NACA0010.mat');
alpha=0%pi/8;
xvert=DATA.x*cos(alpha)+DATA.y*sin(alpha);
yvert=DATA.y*cos(alpha)-DATA.x*sin(alpha);
a=length(xvert)-1;
for k=2 :(a+1);          
%centroid position of each panel
  xcontrol(k-1) = 0.5*(xvert(k-1)+xvert(k));
  ycontrol(k-1) = 0.5*(yvert(k-1)+yvert(k));
%lenght of each panel  
  len(k-1)=sqrt((xvert(k)-xvert(k-1))^2+(yvert(k)-yvert(k-1))^2);
%normal direction of each panel
  nx(k-1)= -(yvert(k)-yvert(k-1))/len(k-1);
  ny(k-1) = (xvert(k)-xvert(k-1))/len(k-1);
end;   
